#include <IRremote.h>

int RECV_PIN = 13;
int signal;
int prevSignal;

const int controlPin1 = 8; // connected to pin 7 on the H-bridge
const int controlPin2 = 9; // connected to pin 2 on the H-bridge
const int enablePin = 10;   // connected to pin 1 on the H-bridge

IRrecv irrecv(RECV_PIN);
IRsend irsend;

decode_results results;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn(); 
  pinMode(controlPin1, OUTPUT);
  pinMode(controlPin2, OUTPUT);
  pinMode(enablePin, OUTPUT);
}

void loop() {
  if (irrecv.decode(&results)) {
    signal=results.value;
    Serial.print("Signal: ");
    Serial.println(signal);
    
    //Repeater code handling
    if(signal!=-1){
      prevSignal = signal;
    }
    
    else if (signal== -1){
      signal=prevSignal;
    }
    
    //CURTAINS
    else if (signal ==24735){ //OPEN
      digitalWrite(controlPin1, HIGH);
      digitalWrite(controlPin2, LOW);
      analogWrite(enablePin, 255);
      Serial.println("open");
    }
    else if (signal ==-8161){ //CLOSE
      digitalWrite(controlPin1, LOW);
      digitalWrite(controlPin2, HIGH);
      analogWrite(enablePin, 255);
      Serial.println("close");
    }
    
   irrecv.enableIRIn(); 
   delay(100);
  }
  //Sometimes signals don't get recorded as the right signal
  //==> check 3 times so the motor doesn't stop all the time
  if(irrecv.decode(&results)==false){
    delay(10);
    if(irrecv.decode(&results)==false){
      delay(10);
      if(irrecv.decode(&results)==false){
        digitalWrite(enablePin, LOW);
        Serial.println("STOP");
      }
    }
  }
}



