#include <IRremote.h>

int RECV_PIN = 10;
int GNDPin=11;
int VSPin=12;
int signal;
int prevSignal;

const int enablePin = 6;   // connected to pin 1 on the H-bridge
const int controlPin1 = 8; // connected to pin 7 on the H-bridge
const int controlPin2 = 9; // connected to pin 2 on the H-bridge

IRrecv irrecv(RECV_PIN);
IRsend irsend;

decode_results results;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn(); 
  pinMode(GNDPin, OUTPUT);
  digitalWrite(GNDPin, LOW);
  pinMode(VSPin, OUTPUT);
  digitalWrite(VSPin, HIGH);
  pinMode(controlPin1, OUTPUT);
  pinMode(controlPin2, OUTPUT);
  pinMode(enablePin, OUTPUT);
}

void loop() {
  if (irrecv.decode(&results)) {
    signal=results.value;
    Serial.print("Signal: ");
    Serial.println(signal);
    Serial.println(results->value, HEX);
    
    if(signal!=-1){
      prevSignal = signal;
    }
    
    if (signal== -1){
      signal=prevSignal;
    }
    //LED colors, on/off & brightness
    if (signal ==20145){
      delay(100);
      irsend.sendNEC(0xf720df,32);
      delay(100);
    }
    else if (signal ==-29071){
      delay(100);
      irsend.sendNEC(0xf7a05f,32);
      delay(100);
    }
    else if (signal ==-14791){
      delay(100);
      irsend.sendNEC(0xf710ef,32);
      delay(100);
    }
    else if (signal ==-31111){
      delay(100);
      irsend.sendNEC(0xf7609f,32);
      delay(100);
    }
    else if (signal ==3570){//ON
      delay(100);
      irsend.sendNEC(0xf7c03f,32);
      delay(100);
    }
    else if (signal ==23970){
      delay(100);
      irsend.sendNEC(0xf740bf,32);
      delay(100);
    }
    else if (signal ==29070){
      delay(100);
      irsend.sendNEC(0xf700ff,32);
      delay(100);
    }
    else if (signal ==-3826){
      delay(100);
      irsend.sendNEC(0xf7807f,32);
      delay(100);
    }
    //CURTAINS
    else if (signal ==24735){ //OPEN
      digitalWrite(controlPin1, HIGH);
      digitalWrite(controlPin2, LOW);
      analogWrite(enablePin, 255);
      Serial.println("open");
    }
    else if (signal ==-8161){ //CLOSE
      digitalWrite(controlPin1, LOW);
      digitalWrite(controlPin2, HIGH);
      analogWrite(enablePin, 255);
      Serial.println("close");
    }
    
   irrecv.enableIRIn(); 
   delay(100);
  }
  if(irrecv.decode(&results)==false){
    delay(10);
    if(irrecv.decode(&results)==false){
      delay(10);
      if(irrecv.decode(&results)==false){
        digitalWrite(enablePin, LOW);
        Serial.println("STOP");
      }
    }
  }
}



